Bug 627757

Summary: SELinux is preventing /lib/systemd/systemd-logger "sendto" access on @/org/freedesktop/systemd1/notify.
Product: [Fedora] Fedora Reporter: Carl G. <carl.gaudreault>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 14CC: dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:c6fb1de7c07bc2a6b86ee868426926632ceff30994549bf3b02c85e677dff901
Fixed In Version: selinux-policy-3.9.0-2.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-09-08 04:31:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Carl G. 2010-08-26 21:03:55 UTC
Summary:

SELinux is preventing /lib/systemd/systemd-logger "sendto" access on
@/org/freedesktop/systemd1/notify.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by systemd-logger. It is not expected that this
access is required by systemd-logger and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:init_t:s0
Target Context                system_u:system_r:init_t:s0
Target Objects                @/org/freedesktop/systemd1/notify [
                              unix_dgram_socket ]
Source                        systemd-logger
Source Path                   /lib/systemd/systemd-logger
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           systemd-8-1.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.8.8-20.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35.2-9.fc14.x86_64 #1 SMP Tue
                              Aug 17 22:36:15 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Thu 26 Aug 2010 01:20:37 PM EDT
Last Seen                     Thu 26 Aug 2010 01:20:37 PM EDT
Local ID                      9ce0d089-a5cc-4c1b-b104-15cca2f110d7
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1282843237.476:12): avc:  denied  { sendto } for  pid=1210 comm="systemd-logger" path=002F6F72672F667265656465736B746F702F73797374656D64312F6E6F74696679 scontext=system_u:system_r:init_t:s0 tcontext=system_u:system_r:init_t:s0 tclass=unix_dgram_socket

node=(removed) type=SYSCALL msg=audit(1282843237.476:12): arch=c000003e syscall=46 success=yes exit=37 a0=8 a1=7fff82329fb0 a2=4000 a3=7fff82329d20 items=0 ppid=1 pid=1210 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemd-logger" exe="/lib/systemd/systemd-logger" subj=system_u:system_r:init_t:s0 key=(null)



Hash String generated from  catchall,systemd-logger,init_t,init_t,unix_dgram_socket,sendto
audit2allow suggests:

#============= init_t ==============
allow init_t self:unix_dgram_socket sendto;

Comment 1 Daniel Walsh 2010-08-27 00:19:13 UTC
Fixed in selinux-policy-3.9.0-1.fc14

Comment 2 Fedora Update System 2010-08-30 15:58:44 UTC
selinux-policy-3.9.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 3 Fedora Update System 2010-08-30 19:37:26 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 4 Fedora Update System 2010-09-08 04:29:37 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.